#ifdef ice_model

c      SUBROUTINE DIFFUS(UICE,VICE,HEFF,DIFFA,DELTT)
      SUBROUTINE DIFFUS(UICE,VICE,HEFF,DIFFX,DIFFY,DELTT)
#include "size.h"
#include "size_ice.h"
      DIMENSION HEFF(NX1,NY1,3),UICE(NX1,NY1),VICE(NX1,NY1)
c     1,HEFF1(NX1,NY1),DIFFA(NX1,NY1)
     1,HEFF1(NX1,NY1),DIFFX(NX1,NY1),DIFFY(NX1,NY1)
      COMMON/STEP1/DELTAT,DELTAX,DELTAY
      COMMON/ARRAY/HEFFM(NX1,NY1),UVM(NX1,NY1)
      COMMON /ICEGRID/DXT(NX1),DYT(NY1),DXU(NX1),DYU(NY1)
     1       ,CST(NY1),CSU(NY1),TNGT(NY1),TNG(NY1),SINE(NY1)
C SUBROUTINE DIFFUSES HEFF,MULTIPLIES BY DELT, AND PUTS RESULTS IN HEFF
C  NOW ZERO OUT HEFF
      DO 210 J=1,NY1
      DO 210 I=1,NX1
      HEFF1(I,J)=0.0
 210  CONTINUE
C NOW DO DIFFUSION WITH NUIT CONVERSION
      DO 220 J=2,NY
      DO 220 I=2,NX
c      DELTXX1=DELTT*DIFFA(I,J)
c      DELTYY1=DELTT*DIFFA(I,J)
      DELTXX1=DELTT*DIFFX(I,J)
      DELTYY1=DELTT*DIFFY(I,J)
      DELTXX=DELTXX1/(DXT(I)*DXT(I)*CST(J)*CST(J))
      DELTYY=DELTYY1/(DYT(J)*DYT(J)*CST(J))
      HEFF1(I,J)=DELTXX*((HEFF(I+1,J,3)-HEFF(I,J,3))*HEFFM(I+1,J)
     1-(HEFF(I,J,3)-HEFF(I-1,J,3))*HEFFM(I-1,J))
     2+DELTYY*((HEFF(I,J+1,3)-HEFF(I,J,3))*CSU(J)*HEFFM(I,J+1)
     3-(HEFF(I,J,3)-HEFF(I,J-1,3))*CSU(J-1)*HEFFM(I,J-1))
 220  CONTINUE

#ifdef northpole
      AAA=0.0
      DO I=2,NX1-1
      AAA=AAA+HEFF1(I,NY1-1)
      END DO
      AAA=AAA/FLOAT(NX1-2)
      DO I=1,NX1
      HEFF1(I,NY1)=AAA
      END DO
#endif

#ifdef cyclic
      DO J=1,NY1
      HEFF1(1,J)=HEFF1(NX,J)
      HEFF1(NX1,J)=HEFF1(2,J)
      END DO
#endif

      DO 260 J=1,NY1
      DO 260 I=1,NX1
      HEFF(I,J,3)=HEFF1(I,J)
 260  CONTINUE
      RETURN
      END

#else
      subroutine diffus
      return
      end
c
#endif
