#ifdef ice_model

      SUBROUTINE ICE_1
#include "size.h"
#include "size_ice.h"
      COMMON /ICE_STUFF/UICE(NX1,NY1,3),VICE(NX1,NY1,3),ETA(NX1,NY1)
     1,ZETA(NX1,NY1),DRAGS(NX1,NY1),DRAGA(NX1,NY1),AMASS(NX1,NY1)
     3,FORCEX(NX1,NY1),FORCEY(NX1,NY1),UICEC(NX1,NY1),VICEC(NX1,NY1)
     4,OUT1(NX1,NY1),OUT2(NX1,NY1),AREA(NX1,NY1,3)
      COMMON/TRANS/HEFF(NX1,NY1,3),HCORR(NX1,NY1)
      COMMON/ARRAY/HEFFM(NX1,NY1),UVM(NX1,NY1)
      COMMON/OUTFLO/OUT(NX1,NY1)
      COMMON/OFL/OFLUX(NX1,NY1)
      COMMON/OFL1/OFLUX1(NX1,NY1),OFLUX2(NX1,NY1),OFLUX3(NX1,NY1)
     1,OFLUX4(NX1,NY1)
      COMMON/S1/SALT(NX1,NY1)
      COMMON/WATER1/WATR(NX1,NY1)
      COMMON/RIV/RIVER(NX1,NY1),RAIN(NX1,NY1)
      COMMON/DAY/IDELT,NSTEPS
      COMMON/STEP1/DELTAT,DELTAX,DELTAY
      COMMON/DIFF/HDF(NX1,NY1)
      COMMON/NEG/YNEG(NX1,NY1)
      COMMON/MIX/TMIX(NX1,NY1),TICE(NX1,NY1)
      COMMON/COUNT/ICOUNT
      COMMON/STEP2/DELTTT,DELTT
      COMMON/GWIND/GAIRX(NX1,NY1),GAIRY(NX1,NY1)
      COMMON/GWATXY/GWATX(NX1,NY1),GWATY(NX1,NY1)
      COMMON/ICE1/UO(NX1,NY1,2),VO(NX1,NY1,2),UOA(NX1,NY1,2)
     1,VOA(NX1,NY1,2),DPX(NX1,NY1),DPY(NX1,NY1)
      COMMON/WIND/WINDX(NX1,NY1),WINDY(NX1,NY1)
      COMMON/SNOW/HSNO(NX1,NY1)
      COMMON/NET1/HGROW(NX1,NY1)
      COMMON/RATE/FHEFF(NX1,NY1),FO(NX1,NY1)
c  The next sentence is for 7 thickness strips
      COMMON/SEV/TICES(NX1,NY1,7),FHEFP(NX1,NY1),HICEP(NX1,NY1)
      COMMON/PBLHEAT/HSENS(NX1,NY1),HLATE(NX1,NY1)
      COMMON/EMON/NDW
      DIMENSION AP(NX1,NY1,2)
      COMMON /ICEGRID/DXTICE(NX1),DYTICE(NY1),DXUICE(NX1), DYUICE(NY1)
     1  ,CSTICE(NY1),CSUICE(NY1),TNGTICE(NY1),TNGICE(NY1),SINEICE(NY1)
      COMMON /ICE_PARA/ERROR,DIFF1,LAD,SU1,A22,HO

      DELTT=1.0*DELTTT

C NOW SET UP FOR NEXT TIME STEP
      DO 254 J=1,NY1
      DO 254 I=1,NX1
      GWATX(I,J)=0.01*UO(I,J,2)
      GWATY(I,J)=0.01*VO(I,J,2)
c      GWATX(I,J)=0.0
c      GWATY(I,J)=0.0
 254  CONTINUE

#ifdef cyclic
      DO J=1,NY1
      HEFF(1,J,1)=HEFF(IMT-1,J,1)
      AREA(1,J,1)=AREA(IMT-1,J,1)
      HEFF(NX1,J,1)=HEFF(2,J,1)
      AREA(NX1,J,1)=AREA(2,J,1)
      END DO
#endif

C INTERPOLATE DAILY WIND
      IF(MOD(ICOUNT,IDELT).EQ.1) THEN
      CALL GEO(GAIRX,GAIRY) 
      END IF

C KKI LOOP IS FOR PSEDUDO-TIMESTEPPING
C      DO KKI=1,5
C FIRST DO PREDICTOR
      DO 121 J=1,NY1
      DO 121 I=1,NX1
      UICE(I,J,3)=UICE(I,J,1)
      VICE(I,J,3)=VICE(I,J,1)
      UICEC(I,J)=UICE(I,J,1)
      VICEC(I,J)=VICE(I,J,1)
 121  CONTINUE
c
      CALL FORM(UICE,VICE,ETA,ZETA,DRAGS,DRAGA,GAIRX,GAIRY,GWATX,GWATY
     2,  FORCEX,FORCEY,HEFF,AMASS,AREA)
      CALL RELAX(UICE,VICE,ETA,ZETA,DRAGS,DRAGA,AMASS,FORCEX,FORCEY
     1,ERROR,UICEC,VICEC)
c
#ifdef cyclic
      DO J=1,NY1
      UICE(1,J,1)=UICE(NX,J,1)
      VICE(1,J,1)=VICE(NX,J,1)
      UICE(NX1,J,1)=UICE(2,J,1)
      VICE(NX1,J,1)=VICE(2,J,1)
      END DO
#endif
c
C NOW DO REGULAR TIME STEP
C NOW DO MODIFIED EULER STEP
c
      DO 155 J=1,NY1
      DO 155 I=1,NX1
      UICE(I,J,1)=0.5*(UICE(I,J,1)+UICE(I,J,2))
      VICE(I,J,1)=0.5*(VICE(I,J,1)+VICE(I,J,2))
 155  CONTINUE

      CALL FORM(UICE,VICE,ETA,ZETA,DRAGS,DRAGA,GAIRX,GAIRY,GWATX,GWATY
     2,  FORCEX,FORCEY,HEFF,AMASS,AREA)
c
C NOW SET U(1)=U(2) AND SAME FOR V
      DO 111 J=1,NY1
      DO 111 I=1,NX1
      UICE(I,J,3)=UICE(I,J,1)
      VICE(I,J,3)=VICE(I,J,1)
      UICEC(I,J)=UICE(I,J,1)
      VICEC(I,J)=VICE(I,J,1)
      UICE(I,J,1)=UICE(I,J,2)
      VICE(I,J,1)=VICE(I,J,2)
 111  CONTINUE
      CALL RELAX(UICE,VICE,ETA,ZETA,DRAGS,DRAGA,AMASS,FORCEX,FORCEY
     1,ERROR,UICEC,VICEC)

#ifdef cyclic
      DO J=1,NY1
      UICE(1,J,1)=UICE(NX,J,1)
      VICE(1,J,1)=VICE(NX,J,1)
      UICE(NX1,J,1)=UICE(2,J,1)
      VICE(NX1,J,1)=VICE(2,J,1)
      END DO
#endif
C      END DO

c Put a cap on ice velocity
c limit velocity to 0.40 m s-1 to avoid potential CFL violations
c in open water areas (drift of zero thickness ice)

      DO J=1,NY1
      DO I=1,NX1
      uice(i,j,1)=min(uice(i,j,1),0.40E+00)
      vice(i,j,1)=min(vice(i,j,1),0.40E+00)
      uice(i,j,1)=max(uice(i,j,1),-0.40E+00)
      vice(i,j,1)=max(vice(i,j,1),-0.40E+00)
      END DO
      END DO

C NOW DO ADVECTION
      CALL ADVECT(UICE,VICE,HEFF,DIFF1,LAD)
      CALL ADVECT(UICE,VICE,AREA,DIFF1,LAD)

C NOW DO GROWTH
      CALL GROWTH(HEFF,AREA,HCORR,HO,A22)

#ifdef cyclic
      DO J=1,NY1
      HEFF(1,J,1)=HEFF(IMT-1,J,1)
      AREA(1,J,1)=AREA(IMT-1,J,1)
      HEFF(NX1,J,1)=HEFF(2,J,1)
      AREA(NX1,J,1)=AREA(2,J,1)
      END DO
#endif

#ifdef northpole
      AAA=0.0
      DO I=2,NX1-1
      AAA=AAA+YNEG(I,NY1-1)
      END DO
      AAA=AAA/FLOAT(NX1-2)
      DO I=1,NX1
      YNEG(I,NY1)=AAA
      END DO

      AAA=0.0
      DO I=2,NX1-1
      AAA=AAA+HEFF(I,NY1-1,1)
      END DO
      AAA=AAA/FLOAT(NX1-2)
      DO I=1,NX1
      HEFF(I,NY1,1)=AAA
      END DO

      AAA=0.0
      DO I=2,NX1-1
      AAA=AAA+AREA(I,NY1-1,1)
      END DO
      AAA=AAA/FLOAT(NX1-2)
      DO I=1,NX1
      AREA(I,NY1,1)=AAA
      END DO
#endif
c
#ifdef northpole
      DO III=1,1
      DO J=NY-1,NY
      DO I=1,NX1
      AP(I,J,1)=HEFF(I,J,1)
      AP(I,J,2)=AREA(I,J,1)
      END DO
#ifdef cyclic
      DO I=2,NX
#else
      DO I=3,NXM1
#endif
      HEFF(I,J,1)=0.25*(AP(I-1,J,1)+AP(I+1,J,1))+0.5*AP(I,J,1)
      AREA(I,J,1)=0.25*(AP(I-1,J,2)+AP(I+1,J,2))+0.5*AP(I,J,2)
      END DO
      END DO
#ifdef cyclic
      DO J=NY-1,NY1
      HEFF(1,J,1)=HEFF(NX,J,1)
      AREA(1,J,1)=AREA(NX,J,1)
      HEFF(NX1,J,1)=HEFF(2,J,1)
      AREA(NX1,J,1)=AREA(2,J,1)
      END DO
#endif
      END DO
#endif

      RETURN
      END

#else
      subroutine ice_1
      return
      end
c
#endif
