#ifdef ice_model

      SUBROUTINE ICE_2
#include "size.h"
#include "size_ice.h"
      COMMON /ICE_STUFF/UICE(NX1,NY1,3),VICE(NX1,NY1,3),ETA(NX1,NY1)
     1,ZETA(NX1,NY1),DRAGS(NX1,NY1),DRAGA(NX1,NY1),AMASS(NX1,NY1)
     3,FORCEX(NX1,NY1),FORCEY(NX1,NY1),UICEC(NX1,NY1),VICEC(NX1,NY1)
     4,OUT1(NX1,NY1),OUT2(NX1,NY1),AREA(NX1,NY1,3)
      COMMON/TRANS/HEFF(NX1,NY1,3),HCORR(NX1,NY1)
      COMMON/ARRAY/HEFFM(NX1,NY1),UVM(NX1,NY1)
      COMMON/OUTFLO/OUT(NX1,NY1)
      COMMON/OFL/OFLUX(NX1,NY1)
      COMMON/OFL1/OFLUX1(NX1,NY1),OFLUX2(NX1,NY1),OFLUX3(NX1,NY1)
     1,OFLUX4(NX1,NY1)
      COMMON/S1/SALT(NX1,NY1)
      COMMON/WATER1/WATR(NX1,NY1)
      COMMON/RIV/RIVER(NX1,NY1),RAIN(NX1,NY1)
      COMMON/DAY/IDELT,NSTEPS
      COMMON/STEP1/DELTAT,DELTAX,DELTAY
      COMMON/DIFF/HDF(NX1,NY1)
      COMMON/NEG/YNEG(NX1,NY1)
      COMMON/MIX/TMIX(NX1,NY1),TICE(NX1,NY1)
      COMMON/COUNT/ICOUNT
      COMMON/GWIND/GAIRX(NX1,NY1),GAIRY(NX1,NY1)
      COMMON/GWATXY/GWATX(NX1,NY1),GWATY(NX1,NY1)
      COMMON/ICE1/UO(NX1,NY1,2),VO(NX1,NY1,2),UOA(NX1,NY1,2)
     1,VOA(NX1,NY1,2),DPX(NX1,NY1),DPY(NX1,NY1)
      COMMON/WIND/WINDX(NX1,NY1),WINDY(NX1,NY1)
      COMMON/SNOW/HSNO(NX1,NY1)
      COMMON/NET1/HGROW(NX1,NY1)
      COMMON/RATE/FHEFF(NX1,NY1),FO(NX1,NY1)
c  The next sentence is for 7 thickness strips
      COMMON/SEV/TICES(NX1,NY1,7),FHEFP(NX1,NY1),HICEP(NX1,NY1)
      COMMON/PBLHEAT/HSENS(NX1,NY1),HLATE(NX1,NY1)
      COMMON/STR/PRESS(NX1,NY1),ECCEN
      COMMON/EMON/NDW
c for diagnostic data
      COMMON /DIAG_ICE/KY(12),UDAYSUM(NX1,NY1),VDAYSUM(NX1,NY1)
     &,HDAYSUM(NX1,NY1),SUMU(NX1,NY1),SUMV(NX1,NY1)
     &,SUMHEFF(NX1,NY1),SUMAREA(NX1,NY1),SUMFLUX(NX1,NY1)
     &,SUMPRESS(NX1,NY1),SUMSWNET(NX1,NY1),SUMLWNET(NX1,NY1)
     &,SUMRAIN(NX1,NY1),SUMICE(NX1,NY1),SUMSALT(NX1,NY1)
     &,SUMHSENS(NX1,NY1),SUMHLATE(NX1,NY1)
      DATA KY/31,28,31,30,31,30,31,31,30,31,30,31/
#include "levind.h"
c
      COMMON /ICE_PARA/ERROR,DIFF1,LAD,SU1,A22,HO
      A21=-A22
      CALL GROWTH(HEFF,AREA,HCORR,HO,A21)

c      IF(MOD(ICOUNT,IDELT).EQ.1) THEN
c      call getunit (iceout, 'icevel.H'
c     &,             'unformatted sequential append ieee')
c      WRITE (iceout) ((UICE(I,J,1),I=1,NX),J=1,NY)      
c      WRITE (iceout) ((VICE(I,J,1),I=1,NX),J=1,NY)
c      call relunit (iceout)
c      END IF

      DO 105 J=1,NY1
      DO 105 I=1,NX1
      HEFF(I,J,1)=HEFF(I,J,1)*OUT(I,J)
      AREA(I,J,1)=AREA(I,J,1)*OUT(I,J)
      FHEFF(I,J)=FHEFF(I,J)*OUT(I,J)
      OFLUX(I,J)=OFLUX(I,J)*OUT(I,J)/DELTAT
 105  CONTINUE

c print out some maximum values
c      GOTO 8111
      HEFFMAX=0.0
      UICEMAX=0.0
      DO I=1,NX1
      DO J=1,NY1
      IF(KMT(I,J).GT.0.AND.KMU(I,J).GT.0) THEN
      IF(HEFFMAX.LT.HEFF(I,J,1)) THEN
      HEFFMAX=HEFF(I,J,1)
      IHEFF=I
      JHEFF=J
      END IF
      AAAUICE=ABS(UICE(I,J,1)*UICE(I,J,1)+VICE(I,J,1)*VICE(I,J,1))
      IF(UICEMAX.LT.AAAUICE) THEN
      UICEMAX=AAAUICE
      IUICE=I
      JUICE=J
      END IF
      END IF
      END DO
      END DO
      WRITE(*,'(a6,2i5,2g12.4,a8,2i5,g12.4,2i5)')
     &'MAX H ',IHEFF,JHEFF,HEFFMAX,HEFF(9,NY1,1)
     &,'  MAX V ',IUICE,JUICE,UICEMAX,ICOUNT,ICOUNT/IDELT
8111  CONTINUE

C      GO TO 899
C   SUM UP MONTHLY VELOCITY AND THICKNESS FIELDS

      DO 889 J=1,NY1
      DO 889 I=1,NX1
      SUMHEFF(I,J)=SUMHEFF(I,J)+HEFF(I,J,1)
      SUMAREA(I,J)=SUMAREA(I,J)+AREA(I,J,1)
      SUMFLUX(I,J)=SUMFLUX(I,J)+OFLUX(I,J)
      SUMPRESS(I,J)=SUMPRESS(I,J)+PRESS(I,J)

C WATR contains water from snow and river runoff
      SUMRAIN(I,J)=SUMRAIN(I,J)+WATR(I,J)
C TNETGR(I,J)-TSAVE1(I,J) ice growth due to atmospheric heat flux
      SUMICE(I,J)=SUMICE(I,J)+FHEFF(I,J)
C SALT contains ice growth due to atmospheric heat flux and oceanic heat flux
C and water from snow and river runoff
      SUMSALT(I,J)=SUMSALT(I,J)+SALT(I,J)
c      SUMHSENS(I,J)=SUMHSENS(I,J)+HSENS(I,J)
c      SUMHLATE(I,J)=SUMHLATE(I,J)+HLATE(I,J)
      SUMU(I,J)=SUMU(I,J)+UICE(I,J,1)
      SUMV(I,J)=SUMV(I,J)+VICE(I,J,1)
  889 CONTINUE
      SU1=SU1+1.0
C NOW DECIDE IF END OF MONTH IS HERE
      NDW=-1
      KXY=0.0
      DO 465 K9=1,12
      KXY=KXY+KY(K9)
      KXY1=IDELT*KXY
      IF(ICOUNT.EQ.KXY1) NDW=1    ! Print out monthly average
 465  CONTINUE
      IF (NDW.LT.0)GOTO 883
C  NOW AVERAGE FIELDS AT END OF MONTH
      DO 876 J=1,NY1
      DO 876 I=1,NX1
      SUMHEFF(I,J)=SUMHEFF(I,J)/SU1
      SUMAREA(I,J)=SUMAREA(I,J)/SU1
      SUMFLUX(I,J)=SUMFLUX(I,J)/SU1
      SUMPRESS(I,J)=SUMPRESS(I,J)/SU1

      SUMRAIN(I,J)=SUMRAIN(I,J)/SU1
      SUMICE(I,J)=SUMICE(I,J)/SU1
      SUMSALT(I,J)=SUMSALT(I,J)/SU1

c      SUMHSENS(I,J)=SUMHSENS(I,J)/SU1
c      SUMHLATE(I,J)=SUMHLATE(I,J)/SU1

      SUMU(I,J)=SUMU(I,J)/SU1
      SUMV(I,J)=SUMV(I,J)/SU1
  876 CONTINUE
C  NOW WRITE FIELDS TO FILE
      PRINT *,('WRITING ICE MONTHLY AVERAGE ')

      call getunit (iceout, 'icevel.H'
     &,             'unformatted sequential append ieee')
      WRITE (iceout) ((SUMU(I,J),I=1,NX),J=1,NY)      
      WRITE (iceout) ((SUMV(I,J),I=1,NX),J=1,NY)
      call relunit (iceout)

      call getunit (iceout, 'heff.H'
     &,             'unformatted sequential append ieee')
      WRITE (iceout) ((SUMHEFF(I,J),I=1,NX1),J=1,NY1)
      call relunit (iceout)

      call getunit (iceout, 'area.H'
     &,             'unformatted sequential append ieee')
      WRITE (iceout) ((SUMAREA(I,J),I=1,NX1),J=1,NY1)
      call relunit (iceout)

      call getunit (iceout, 'flux.H'
     &,             'unformatted sequential append ieee')
      WRITE (iceout) ((SUMFLUX(I,J),I=1,NX1),J=1,NY1)
      call relunit (iceout)

c      call getunit (iceout, 'press.H'
c     &,             'unformatted sequential append ieee')
c      WRITE (iceout) ((SUMPRESS(I,J),I=1,NX1),J=1,NY1)
c      call relunit (iceout)


c      WRITE (58) ((SUMHSENS(I,J),I=1,NX1),J=1,NY1)
c      WRITE (59) ((SUMHLATE(I,J),I=1,NX1),J=1,NY1)

C  NOW ZERO FIELDS

      DO I=1,NX1
      DO J=1,NY1
      SUMU(I,J)=0.0
      SUMV(I,J)=0.0
      SUMHEFF(I,J)=0.0
      SUMAREA(I,J)=0.0
      SUMFLUX(I,J)=0.0
      SUMPRESS(I,J)=0.0

      SUMRAIN(I,J)=0.0
      SUMICE(I,J)=0.0
      SUMSALT(I,J)=0.0

c      SUMHSENS(I,J)=0.0
c      SUMHLATE(I,J)=0.0
      END DO
      END DO

      SU1=0.0
5621  CONTINUE

  883 CONTINUE
  899 CONTINUE

      RETURN
      END


#else
      subroutine ice_2
      return
      end
c
#endif
