c====================== include file "size.h" ==========================
c                                                                       
c-----------------------------------------------------------------------
c     USER INPUT: 
c-----------------------------------------------------------------------
c
c     imt    = number of grid points in the longitudinal direction
c              (calculated points are from 2 through imt-1. End points
c               are boundaries)          
c
c     jmt    = number of grid points (latitude rows) in the latitudinal
c              direction (calculated points are from 2 through jmt-1.           
c              End points are boundaries)   
c                                
c     km     = number of grid points in the vertical direction          
c              (calculated points are from 1 through km)
c
c     nt     = number of tracers (temperature, salinity, ...)
c
c     mnisle = maximum number of islands (unconnected land masses)
c
c     maxipp = maximum number of all island perimeter points
c-----------------------------------------------------------------------
c                                                                       
      parameter (imt=  152, jmt=  111, km= 45)
      parameter (nt=2)
      parameter (mnisle=50, maxipp=5000)

